-- MySQL Script generated by MySQL Workbench
-- Wed Jan 17 14:14:21 2024
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

SET time_zone='+01:00';

-- -----------------------------------------------------
-- Schema bricoplus
-- -----------------------------------------------------
DROP SCHEMA IF EXISTS `bricoplus` ;

-- -----------------------------------------------------
-- Schema bricoplus
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `bricoplus` DEFAULT CHARACTER SET utf8 ;
USE `bricoplus` ;

-- -----------------------------------------------------
-- Table `bricoplus`.`employee`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `bricoplus`.`employee` ;

CREATE TABLE IF NOT EXISTS `bricoplus`.`employee` (
  `id` INT NOT NULL UNIQUE AUTO_INCREMENT,
  `first_name` VARCHAR(45) NOT NULL,
  `last_name` VARCHAR(45) NOT NULL,
  `phone` VARCHAR(45) NOT NULL,
  `email` VARCHAR(45) UNIQUE NOT NULL,
  `gender` VARCHAR(45) NOT NULL,
  `role` VARCHAR(45) NOT NULL,
  `departement` VARCHAR(45) NOT NULL,
  `password` VARCHAR(10000) NOT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bricoplus`.`employee_status`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `bricoplus`.`employee_status` ;

CREATE TABLE IF NOT EXISTS `bricoplus`.`employee_status` (
  `id` INT NOT NULL UNIQUE AUTO_INCREMENT,
  `id_employee` INT NOT NULL,
  `date` DATE NOT NULL,
  `time_in` TIME NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_employee_status_employee_idx` (`id_employee` ASC) VISIBLE,
  CONSTRAINT `fk_employee_status_employee`
    FOREIGN KEY (`id_employee`)
    REFERENCES `bricoplus`.`employee` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
